Skip to main content
POST
/
alerts
/
count
Count alerts matching filter
curl --request POST \
  --url https://api.artu.ai/alerts/count \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "filter": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "search": "<string>",
    "name": "<string>",
    "description": "<string>",
    "externalId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "tagIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "metadataFilters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "scopeData": {
      "MX": {
        "actividadVulnerable": {
          "mesReportado": "<string>",
          "ARI": {},
          "AVI": {},
          "INM": {},
          "JYS": {},
          "MJR": {},
          "MPC": {},
          "TSC": {},
          "VEH": {}
        },
        "cnbv": {
          "TRANSMISOR": {}
        }
      }
    }
  }
}
'
{
  "count": 0
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
filter
object

Response

200 - application/json

OK

count
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991